## ros-kinetic-magni-description 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(magni_description)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES magni_description
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)

## Declare a cpp library
# add_library(magni_description
#   src/${PROJECT_NAME}/magni_description.cpp
# )

## Declare a cpp executable
# add_executable(magni_description_node src/magni_description_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(magni_description_node magni_description_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(magni_description_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY urdf/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_magni_description.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-kinetic-magni-description (0.4.2-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Sun, 26 Aug 2018 07:00:00 -0000

ros-kinetic-magni-description (0.4.1-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Sun, 26 Aug 2018 07:00:00 -0000

ros-kinetic-magni-description (0.4.0-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Sun, 26 Aug 2018 07:00:00 -0000

ros-kinetic-magni-description (0.3.2-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Wed, 27 Jun 2018 07:00:00 -0000

ros-kinetic-magni-description (0.3.1-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Tue, 26 Jun 2018 07:00:00 -0000

ros-kinetic-magni-description (0.3.0-0xenial) xenial; urgency=high

  * Support getting robot configuration from a file in etc  (#57 <https://github.com/UbiquityRobotics/magni_robot/issues/57>)
  * move to a xacro based magni model
  * Contributors: Rohan Agrawal

 -- Rohan Agrawal <send2arohan@gmail.com>  Mon, 25 Jun 2018 07:00:00 -0000

ros-kinetic-magni-description (0.2.4-0xenial) xenial; urgency=high

  * remove unneeded CMake requires
  * Contributors: Rohan Agrawal

 -- Rohan Agrawal <send2arohan@gmail.com>  Sat, 23 Dec 2017 08:00:00 -0000

ros-kinetic-magni-description (0.2.3-0xenial) xenial; urgency=high

  * Only exec_depend to avoid pulling in unnecessary dependencies at build-time   (#46 <https://github.com/UbiquityRobotics/magni_robot/issues/46>)
    * only exec_depend, cleanup package.xmls
  * Contributors: Rohan Agrawal

 -- Rohan Agrawal <send2arohan@gmail.com>  Sat, 23 Dec 2017 08:00:00 -0000

ros-kinetic-magni-description (0.2.2-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Fri, 22 Dec 2017 08:00:00 -0000

ros-kinetic-magni-description (0.2.1-0xenial) xenial; urgency=high

  * Add launch file for fiducial_follow (#40 <https://github.com/UbiquityRobotics/magni_robot/issues/40>)
    * Add launch file for fiducial_follow
    * Update camera for front facing
    * Use low res image for faster tracking
  * Contributors: Jim Vaughan

 -- Rohan Agrawal <send2arohan@gmail.com>  Sat, 28 Oct 2017 07:00:00 -0000

ros-kinetic-magni-description (0.2.0-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Sat, 19 Aug 2017 07:00:00 -0000

ros-kinetic-magni-description (0.1.1-0xenial) xenial; urgency=high

  * Install launch/param dirs
  * Contributors: Rohan Agrawal

 -- Rohan Agrawal <send2arohan@gmail.com>  Tue, 04 Jul 2017 07:00:00 -0000

ros-kinetic-magni-description (0.1.0-0xenial) xenial; urgency=high

  * initial release
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Rohan Agrawal <send2arohan@gmail.com>  Sat, 17 Jun 2017 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-magni-description
Section: misc
Priority: extra
Maintainer: Rohan Agrawal <send2arohan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-magni-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-joint-state-publisher, ros-kinetic-robot-state-publisher, ros-kinetic-urdf, ros-kinetic-xacro
Description: The magni_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-magni-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
